Is VS 2010 supported?

May 30, 2010 at 8:11 PM

I just installed Claymore and attempted to follow the 'WinForm Clock' walk through.  When I get to the step to add a new IView, the 'Caymore MVP' is not listed when I 'add item'.

Is VS 2010 supported, or only earlier versions of Visual Studio?

Coordinator
May 31, 2010 at 9:09 AM
Hi Sporcina, Claymore 1.1.0.0 msi do not install template files for Visual Studio 2010 as only VS 2008 was targeted; But actually it's possible to work with VS 2010 but you'll have to write more code by hand. To do so, in the walk through, when you're asked to add a templated file [View Interface (IView), Presenter etc...] you'll have to add a class file and type the whole code. Anyway, i'm planning to release a new version really soon that will add support for VS 2010. Hope this helps Fabrice.
Oct 4, 2010 at 4:27 PM
Edited Oct 4, 2010 at 4:27 PM

Any idea when the VS2010 version will be released?

It has been 5 months since you said "really soon".  :-)